classification
Title: RFE: Extend smtplib.py with support for LMTP
Type: Stage:
Components: None Versions: Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, loewis, terry.reedy, zwoop
Priority: normal Keywords: patch

Created on 2004-05-19 19:56 by zwoop, last changed 2007-03-09 15:36 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
smtplib.py.diff zwoop, 2004-05-19 19:56 smtplib.py diff for LMTP
Messages (5)
msg46001 - (view) Author: Leif Hedstrom (zwoop) Date: 2004-05-19 19:56
Hi,

attached is a proposal to extend the existing
smtplib.py module with support for LMTP (RFC2033). I
find it very useful together with IMAP servers like Cyrus.

Thanks,

-- leif
msg46002 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2004-06-01 17:25
Logged In: YES 
user_id=593130

If you were mere requesting a feature enhancement, this 
would belong in the RFE list and not the bug list.  Since you 
submitted a patch, and not just a proposal, this belongs in 
the patch list.  However, as a patch submission, it also needs 
1) a patch to the documentation for smtplib (at least the 
suggested new text if you can't do Latex) and 2) a patch to 
the test suite for smtplib (assuming there is one already).

Suggestion: close this bug report as invalid and open a patch 
item with the additional material.
msg46003 - (view) Author: Leif Hedstrom (zwoop) Date: 2004-06-01 21:14
Logged In: YES 
user_id=480913

Is the documentation provided in the patch for the LMTP
class not sufficient? I can extend on that if necessary,
although bear in mind that LMTP is very, very similar to
SMTP. The main difference is the support for Unix sockets.

As for adding test code, I could do that, although I'm
guessing most people will not have an LMTP capable server
running. If you feel strongly on this, I'll add something
that will check for port 2003, and submit the same test
message through an LMTP instance.
msg46004 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-06-25 20:52
Logged In: YES 
user_id=1188172

Moving to the patches tracker. As a new feature, assigning
to group Python 2.5.
msg46005 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-03-09 15:36
Thanks for the patch. Committed as r54240
History
Date User Action Args
2004-05-19 19:56:08zwoopcreate